import { OnInit } from '@angular/core';
import { TranslateService } from '../../shared/translate/services/translate.service';
import { ThemeService } from './theme/theme.service';
export declare class SettingsComponent implements OnInit {
    private translateService;
    private themeService;
    selectedLanguage: string;
    constructor(translateService: TranslateService, themeService: ThemeService);
    ngOnInit(): void;
    changeLanguage(event: any): void;
    onThemeChange(event: any): void;
}
